package com.bonus.canteen.core.supply.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel(
   value = "DrpMaterialWinBidRecords对象",
   description = "货品中标记录表"
)
public class DrpMaterialBidRecordsPageVO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("货品类别")
   private String categoryName;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位名称")
   private String unitName;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("农贸市场价格")
   private Long farmersMarketPrice;
   @ApiModelProperty("价格状态 1有效 2无效")
   private Integer priceStatus;
   @ApiModelProperty("供应商中标价")
   private List<DrpMaterialBidRecordsSupplierVO> detailList;
   @ApiModelProperty("采购订单")
   private DrpLastOrderGoodsVO drpLastOrderGoods;
   @ApiModelProperty("市场采集价")
   private List<DrpMarketPriceVO> drpMarketPriceList;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Long getFarmersMarketPrice() {
      return this.farmersMarketPrice;
   }

   public Integer getPriceStatus() {
      return this.priceStatus;
   }

   public List<DrpMaterialBidRecordsSupplierVO> getDetailList() {
      return this.detailList;
   }

   public DrpLastOrderGoodsVO getDrpLastOrderGoods() {
      return this.drpLastOrderGoods;
   }

   public List<DrpMarketPriceVO> getDrpMarketPriceList() {
      return this.drpMarketPriceList;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public DrpMaterialBidRecordsPageVO setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setMaterialName(final String materialName) {
      this.materialName = materialName;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setUnitId(final Long unitId) {
      this.unitId = unitId;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setUnitName(final String unitName) {
      this.unitName = unitName;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setFarmersMarketPrice(final Long farmersMarketPrice) {
      this.farmersMarketPrice = farmersMarketPrice;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setPriceStatus(final Integer priceStatus) {
      this.priceStatus = priceStatus;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setDetailList(final List<DrpMaterialBidRecordsSupplierVO> detailList) {
      this.detailList = detailList;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setDrpLastOrderGoods(final DrpLastOrderGoodsVO drpLastOrderGoods) {
      this.drpLastOrderGoods = drpLastOrderGoods;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setDrpMarketPriceList(final List<DrpMarketPriceVO> drpMarketPriceList) {
      this.drpMarketPriceList = drpMarketPriceList;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setAreaId(final Long areaId) {
      this.areaId = areaId;
      return this;
   }

   public DrpMaterialBidRecordsPageVO setAreaName(final String areaName) {
      this.areaName = areaName;
      return this;
   }


   protected boolean canEqual(final Object other) {
      return other instanceof DrpMaterialBidRecordsPageVO;
   }

   public String toString() {
      Long var10000 = this.getMaterialId();
      return "DrpMaterialBidRecordsPageVO(materialId=" + var10000 + ", materialCode=" + this.getMaterialCode() + ", materialName=" + this.getMaterialName() + ", categoryId=" + this.getCategoryId() + ", categoryName=" + this.getCategoryName() + ", unitId=" + this.getUnitId() + ", unitName=" + this.getUnitName() + ", imageUrl=" + this.getImageUrl() + ", farmersMarketPrice=" + this.getFarmersMarketPrice() + ", priceStatus=" + this.getPriceStatus() + ", detailList=" + String.valueOf(this.getDetailList()) + ", drpLastOrderGoods=" + String.valueOf(this.getDrpLastOrderGoods()) + ", drpMarketPriceList=" + String.valueOf(this.getDrpMarketPriceList()) + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", areaId=" + this.getAreaId() + ", areaName=" + this.getAreaName() + ")";
   }
}
